# for set release
%define release_pre alt
%define release_base_num 4
%define release_base_num2 %nil
%define release_suff %nil

# for distr selected
%def_without M40
%def_without M41
%def_without M50

# for set distr release
%define release_distr_num 1

# %%distr_switch set
%define distr_switch %nil
%if_with M40
%define distr_switch M40
%endif
%if_with M41
%define distr_switch M41
%endif
%if_with M50
%define distr_switch M50
%endif

# %%release_num and %%release_distr set
%if "%distr_switch" == ""
%define release_distr %nil
%if "%release_base_num2" == ""
%define release_num %release_base_num
%else
%define release_num %release_base_num.%release_base_num2
%endif
%else
%define release_distr .%distr_switch.%release_distr_num
%if "%release_base_num2" == ""
%define release_num %(expr %release_base_num - 1)
%else
%define release_num %release_base_num.%(expr %release_base_num2 - 1)
%endif
%endif

# %%release_base set
%define release_base %release_pre%release_num%release_distr

# %%package_release set
%define package_release %release_base%release_suff

%define webappdir %webserver_webappsdir/mediawiki

%if "%distr_switch" != ""
# new apache2 macros sets
%define apache2_confdir %a_sysconfdir
%define apache2_dname %a_dname
%define apache2_mods_start %a_mods_start
%define apache2_extra_available %a_extra_available
%endif

Summary: A wiki engine
Name: mediawiki
Version: 1.13.0
Release: %package_release
License: %gpl2plus
Group: Networking/WWW
Url: http://www.mediawiki.org/

Packager: Aleksey Avdeev <solo@altlinux.ru>

Source0: http://download.wikimedia.org/mediawiki/1.13/%name-%version.tar.gz
Source10: mediawiki-apache2-alt-configs-0.2.tar
Source11: mediawiki-fedora-docs-0.1.tar
Source12: README.ALT-ru_RU.UTF-8
Patch0: mediawiki-1.13.0-commoncode.patch

BuildRequires(pre): rpm-macros-apache2
BuildPreReq: rpm-build-licenses
BuildPreReq: apache2-devel
%if "%distr_switch" != ""
BuildPreReq: rpm-build-webserver-common
%endif

# Automatically added by buildreq on Tue Jun 03 2008 (-ba)
BuildRequires: ocaml perl-DBI

BuildRequires: ocaml >= 3.06

# to make sure the "%webserver_group" group is created before mediawiki is installed
PreReq: webserver-common
Requires: php-engine >= 5
Requires: php5-mysql, php5-pgsql
Requires: php5-gd2
Requires: diffutils, ImageMagick
#Requires: tetex-latex, tetex-dvips
Requires: apache2-configs-dirs2 >= 2.2.0
Requires: apache2-config-tools >= 0.1.1
Requires: %_initdir/%apache2_dname

%description
MediaWiki is the software used for Wikipedia and the other Wikimedia
Foundation websites. Compared to other wikis, it has an excellent
range of features and support for high-traffic websites using multiple
servers

This package supports wiki farms. Copy %webappdir over to the
desired wiki location and configure it through the web
interface. Remember to remove the config dir after completing the
configuration.

%prep
%setup -q
%patch0 -p1 -b .commoncode

%build
cd math
make

%install
mkdir -p %buildroot%_datadir/mediawiki
cp -a * %buildroot%_datadir/mediawiki/

install %SOURCE12 ./
mkdir -p Fedora
pushd Fedora
tar xvSf %SOURCE11
popd

# remove undeeded parts
rm -fr %buildroot%_datadir/mediawiki/{t,test}
rm -fr %buildroot%_datadir/mediawiki/includes/zhtable
find %buildroot%_datadir/mediawiki/ \
  \( -name .htaccess -or -name \*.cmi \) \
  -print0 \
  | xargs -r0 rm

# fix permissions
chmod +x %buildroot%_datadir/mediawiki/bin/*
find %buildroot%_datadir/mediawiki -name \*.pl -print0 | xargs -r0 chmod +x

# move arch dependent parts
if test ! -d %buildroot%_libdir/mediawiki/math; then
  mkdir -p %buildroot%_libdir/mediawiki
  mv %buildroot%_datadir/mediawiki/math \
%buildroot%_libdir/mediawiki/
fi

find %buildroot -name .svnignore -print0 | xargs -r0 rm
find %buildroot -name \*.commoncode -print0 | xargs -r0 rm

mkdir -p %buildroot%webappdir
cd %buildroot%webappdir/
mkdir images
cp -a %buildroot%_datadir/mediawiki/config .
ln -s %_datadir/mediawiki/index.php index.php
ln -s %_datadir/mediawiki/skins skins

mkdir -p %buildroot%apache2_confdir
pushd %buildroot%apache2_confdir
tar xvSf %SOURCE10
popd

%post
%_sbindir/a2chkconfig >/dev/null
%post_service %apache2_dname
exit 0

%postun
%_sbindir/a2chkconfig >/dev/null
%post_service %apache2_dname
exit 0

%files
%doc COPYING FAQ HISTORY README RELEASE-NOTES UPGRADE
%doc Fedora
%doc README.ALT-ru_RU.UTF-8
%dir %_datadir/mediawiki
%dir %_datadir/mediawiki/config
%dir %_datadir/mediawiki/skins
%_datadir/mediawiki
%_libdir/mediawiki
%attr(2770,root,%webserver_group) %dir %webappdir
%attr(2770,root,%webserver_group) %dir %webappdir/config
%attr(2770,root,%webserver_group) %dir %webappdir/images
%webappdir
%webappdir/config/*

%config(noreplace) %apache2_mods_start/*.conf
%config(noreplace) %apache2_extra_available/*.conf

%changelog
* Wed Apr 15 2009 Aleksey Avdeev <solo@altlinux.ru> 1.13.0-alt4
- Fix Requires (Closes: #19506)

* Thu Sep 04 2008 Aleksey Avdeev <solo@altlinux.ru> 1.13.0-alt3
- Add README.ALT-ru_RU.UTF-8

* Wed Sep 03 2008 Aleksey Avdeev <solo@altlinux.ru> 1.13.0-alt2
- Removed Requires: tetex-latex, tetex-dvips
- Fix aliases.

* Sat Aug 30 2008 Aleksey Avdeev <solo@altlinux.ru> 1.13.0-alt1
- Update to 1.13.0.

* Tue Jun 03 2008 Aleksey Avdeev <solo@altlinux.ru> 1.10.4-alt1
- First build for ALT.

